Skip to main content
`Ctrl`+`K`

# numpy.strings.istitle

strings.istitle(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'istitle'>

  Returns true for each element if the element is a titlecased string and there is at least one character, false otherwise.

  Parameters:
    x array_like, with `StringDType`, `bytes_` or `str_` dtype
    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    out ndarray

      Output array of bools This is a scalar if x is a scalar.

  See also

  `str.istitle`

  Examples

      >>> import numpy as np
      >>> np.strings.istitle("Numpy Is Great")
      array(True)

      >>> np.strings.istitle("Numpy is great")
      array(False)